import { TestSessionResult } from './TestSessionResult';
export declare type SessionStatus = 'SCHEDULED' | 'INITIALIZING' | 'STARTED' | 'FINISHED';
export declare const SessionStatuses: {
    SCHEDULED: SessionStatus;
    INITIALIZING: SessionStatus;
    STARTED: SessionStatus;
    FINISHED: SessionStatus;
};
export interface TestSession {
    id: string;
    testRun: number;
    browserName: string;
    testFile: string;
    status: SessionStatus;
    result?: TestSessionResult;
}
