import { TestSession } from './TestSession';
export declare class TestSessionManager {
    sessions: Map<string, TestSession>;
    sessionsByBrowser: Map<string, TestSession[]>;
    sessionsByTestFile: Map<string, TestSession[]>;
    finishedSessionsByTestFile: Map<string, TestSession[]>;
    scheduledSessions: Set<string>;
    initializingSessions: Set<string>;
    runningSessions: Set<string>;
    startedSessions: Set<string>;
    finishedSessions: Set<string>;
    passedSessions: Map<string, TestSession>;
    failedSessions: Map<string, TestSession>;
    updateSession(newSession: TestSession): void;
}
