import { TerminalEntry } from './Terminal';
import { TestSession } from '../TestSession';
import { TestRunnerConfig } from '../TestRunnerConfig';
export interface TestProgressArgs {
    browserNames: string[];
    testFiles: string[];
    testRun: number;
    sessionsByBrowser: Map<string, TestSession[]>;
    scheduledSessions: Set<string>;
    runningSessions: Set<string>;
    startTime: number;
}
export declare function getTestProgressReport(config: TestRunnerConfig, args: TestProgressArgs): TerminalEntry[];
