import { TestSession } from './TestSession';
interface ItemWithId<I> {
    id: I;
}
export declare function arrayReplaceOrAddById<I, V extends ItemWithId<I>>(array: V[], replacedItem: V): V[];
export declare function replaceOrAddInMappedArray<K, I, V extends ItemWithId<I>>(map: Map<K, V[]>, key: K, replacedItem: V): void;
export declare function removeFromMappedArray<K, I, V extends ItemWithId<I>>(map: Map<K, V[]>, key: K, replacedItem: V): void;
export declare function createTestSessions(browserNames: string[], testFiles: string[]): Map<string, TestSession>;
export {};
